import { Vector3 } from "three";

export class CoreVector3 {
  vector: Vector3;
  constructor(vector: Vector3) {
    this.vector = vector;
  }

  static divideLineIntoEqualSegments(beginPoint: Vector3, endPoint: Vector3, segments: number): Vector3[] {
    return Number(segments)
      .fromArray()
      .map((el) => new Vector3().lerpVectors(beginPoint, endPoint, (el * 1) / segments));
  }
  add(vector: Vector3) {
    return new CoreVector3(new Vector3(this.vector.x + vector.x, this.vector.y + vector.y, this.vector.z + vector.z));
  }
}
