import { createBrowserRouter } from "react-router-dom";
import { AllProjectScreen, AllProjectScreenPath } from "../../features/all_projects/presentation/all_projects_screen";
import {
  PipelineInstanceScreen,
  PipelineInstanceScreenPath,
} from "../../features/pipeline_instance_main_screen/pipeline_instance_screen";

import { CreateProjectScreen, CreateProjectScreenPath } from "../../features/create_project/create_project_screen";

import { SceneManger, SceneManagerPath } from "../../features/scene_manager/presentation/scene_manager";
import {
  BehaviorTreeBuilderPath,
  BehaviorTreeBuilderScreen,
} from "../../features/behavior_tree_builder/presentation/behavior_tree_builder_screen";
import {
  StickObjectsMarkingScreen,
  StickObjectsMarkingScreenPath,
} from "../../features/_stick_objects_marking/stick_objects_marking_screen";
import { DataSetScreen, DatasetsScreenPath } from "../../features/dataset/dataset_screen";
import DetailsScreen, { DetailsScreenPath } from "../../features/details/details_screen";
import { AssemblesScreen, AssemblesScreenPath } from "../../features/assembles/assembles_screen";
import SimulationScreen, { SimulationScreenPath } from "../../features/simulations/simulations_screen";
import { EstimateScreen, EstimateScreenPath } from "../../features/estimate/estimate_screen";

const idURL = ":id";

export const router = createBrowserRouter([
  {
    path: AllProjectScreenPath,
    element: <AllProjectScreen />,
  },
  {
    path: PipelineInstanceScreenPath + idURL,
    element: <PipelineInstanceScreen />,
  },

  {
    path: CreateProjectScreenPath,
    element: <CreateProjectScreen />,
  },

  {
    path: SceneManagerPath,
    element: <SceneManger />,
  },
  {
    path: BehaviorTreeBuilderPath,
    element: <BehaviorTreeBuilderScreen />,
  },
  {
    path: StickObjectsMarkingScreenPath,
    element: <StickObjectsMarkingScreen />,
  },
  {
    path: DatasetsScreenPath,
    element: <DataSetScreen />,
  },
  {
    path: DetailsScreenPath,
    element: <DetailsScreen />,
  },
  {
    path: AssemblesScreenPath,
    element: <AssemblesScreen />,
  },
  {
    path: SimulationScreenPath,
    element: <SimulationScreen />,
  },

  {
    path: EstimateScreenPath,
    element: <EstimateScreen />,
  },
]);
