import * as React from "react";
import { Typography } from "antd";
import { useNavigate } from "react-router-dom";

const { Link } = Typography;

export interface ILinkTypography {
  path: string;
  text: string;
  style?: React.CSSProperties;
}

export const LinkTypography: React.FunctionComponent<ILinkTypography> = (
  props: ILinkTypography
) => {
  const navigate = useNavigate();

  return (
    <Link
      style={props.style}
      onClick={() => {
        navigate(props.path);
      }}
    >
      {props.text}
    </Link>
  );
};
