import * as React from "react";
import { CoreText, CoreTextType } from "../../../core/ui/text/text";
import { Button, Input } from "antd";

import { useRete } from "rete-react-plugin";
import { createEditor } from "./ui/editor/editor";
import { SkillTree } from "./ui/skill_tree/skill_tree";
import { BehaviorTreeBuilderStore } from "./behavior_tree_builder_store";
import { MainPage } from "../../../core/ui/pages/main_page";

export const behaviorTreeBuilderScreenPath = "behavior/tree/screen/path";

const skills = {
  name: "",
  children: [
    {
      name: "Actions",
      children: [{ name: "MoveToPose", interface: "Vector3", out: "vo" }],
    },
    {
      name: "Control",
      children: [
        { name: "Fallback", interface: "Vector3", out: "vo" },
        { name: "Sequence", interface: "Vector3", out: "vo" },
      ],
    },
  ],
};
export const behaviorTreeBuilderStore = new BehaviorTreeBuilderStore();
export const BehaviorTreeBuilderPath = "/behavior/tree/";
export function BehaviorTreeBuilderScreen() {
  const store = behaviorTreeBuilderStore;
  const [ref] = useRete(createEditor);

  React.useEffect(() => {
    store.init();

    store.dragZoneSetOffset(
      // @ts-expect-error
      ref.current.offsetTop,
      // @ts-expect-error
      ref.current.offsetLeft,
      // @ts-expect-error
      ref.current.clientWidth,
      // @ts-expect-error
      ref.current.clientHeight
    );

    return () => {
      store.dispose();
    };
  }, [store, ref]);

  return (
    <MainPage
      page={"Навыки"}
      bodyChildren={
        <>
          <div style={{ display: "flex", width: "100%" }}>
            {/* <SkillTree dragEnd={store.dragEnd} skills={skills} /> */}

            <div
              ref={ref}
              style={{
                width: "100%",
                height: window.innerHeight,
                background: "white",
              }}
            ></div>
          </div>
        </>
      }
    />
  );
}
