import { Presets } from "rete-react-plugin";
import { css } from "styled-components";
import "./background.css";

const styles = css<{ selected?: boolean }>`
  background: #ebebeb;
  border-color: #646464;
  .title {
    color: #646464;
  }
  &:hover {
    background: #f2f2f2;
  }
  .output-socket {
    margin-right: -1px;
  }
  .input-socket {
    margin-left: -1px;
  }
  ${(props) =>
    props.selected &&
    css`
      border-color: red;
    `}
`;

export function StyledNode(props: any) {
  // eslint-disable-next-line react/jsx-pascal-case
  return <Presets.classic.Node styles={() => styles} {...props} />;
}
