import * as React from "react";
import { LoadPage as MainPage } from "../../core/ui/pages/load_page";
import { observer } from "mobx-react-lite";
import { Col, Row, Input, Button, Upload } from "antd";
import type { UploadProps } from "antd";
import { CreateProjectStore } from "./create_project_store";
import { CreateProjectRepository } from "./create_project_repository";

export const CreateProjectScreenPath = "/create_project";
export const CreateProjectScreen: React.FunctionComponent = observer(() => {
  const [store] = React.useState(() => new CreateProjectStore(new CreateProjectRepository()));

  React.useEffect(() => {
    store.init();
  }, [store]);
  return (
    <>
      <MainPage
        path={""}
        largeText={"Create project"}
        isLoading={store.isLoading}
        isError={store.isError}
        children={
          <Row>
            <Row>
              <Col>
                <Row>
                  <Input
                    style={{ width: "250px" }}
                    onChange={(e) => store.setDescriptionToNewProject(e.target.value)}
                    placeholder="project description"
                  />
                  <Upload
                    onChange={(e) => {
                      store.file = e.file.originFileObj;
                    }}
                  >
                    <Button>Click to Upload</Button>
                  </Upload>
                  <Button onClick={() => store.saveProject()}>save</Button>
                </Row>
              </Col>
            </Row>
          </Row>
        }
      />
    </>
  );
});
