import { Result } from "../../../core/helper/result";
import { HttpMethod, HttpRepository } from "../../../core/repository/http_repository";
import { CoreError } from "../../../core/store/base_store";
import { RobossemblerAssets } from "../../../core/model/robossembler_assets";

export class SceneHttpRepository extends HttpRepository {
  async getRobossemblerAssets() {
    return this._jsonToClassInstanceRequest<RobossemblerAssets>(
      HttpMethod.GET,
      "/robossembler_assets",
      RobossemblerAssets
    ) as unknown as Promise<Result<CoreError, RobossemblerAssets>>;
  }
  async saveScene(robossemblerAssets: RobossemblerAssets) {
    return this._jsonRequest(HttpMethod.POST, "/robossembler_assets", robossemblerAssets) as unknown as Promise<
      Result<CoreError, void>
    >;
  }
}
