import * as React from "react";
import { BaseSceneItemModel, CameraViewModel, StaticAssetItemModel } from "../../model/scene_assets";
import { Button } from "antd";

export interface IStaticAssetModelViewProps {
  model: BaseSceneItemModel;
  onTap: Function;
}

export function StaticAssetModelView(props: IStaticAssetModelViewProps) {
  if (props.model instanceof CameraViewModel) {
    return (
      <div
        style={{
          backgroundColor: "ActiveBorder",
          padding: "10px",
          color: "white",
          textAlignLast: "center",
        }}
      >
        {props.model.cameraLink}
        <Button onClick={() => props.onTap()}>delete</Button>
      </div>
    );
  }

  if (props.model instanceof StaticAssetItemModel) {
    return (
      <div
        style={{
          backgroundColor: "brown",
          padding: "10px",
          color: "white",
          textAlignLast: "center",
        }}
      >
        {props.model.name}
        <Button onClick={() => props.onTap()}>delete</Button>
      </div>
    );
  }
  return <></>;
}
