import * as React from "react";
import { ReactComponent as ReloadIcon } from "../../core/assets/icons/reload.svg";
import { socketListerStore } from "./socket_lister_store";
import { observer } from "mobx-react-lite";

export interface ISocketListerProps {
  children?: JSX.Element;
}

export const SocketLister = observer((props: ISocketListerProps) => {
  return (
    <div>
      {socketListerStore.socketHasDisconnect ? (
        <ReloadIcon
          onClick={() => {
            socketListerStore.reconnect();
          }}
          style={{
            height: "70px",
            backgroundColor: "silver",
            width: "-webkit-fill-available",
            padding: "10px",
            cursor: "pointer",
          }}
        />
      ) : (
        <></>
      )}

      {props.children}
    </div>
  );
});
