import { makeAutoObservable } from "mobx";
import { SocketRepository, socketRepository } from "../../core/repository/socket_repository";
import { setTimeout } from "timers/promises";

class SocketListerStore {
  repository: SocketRepository;
  socketHasDisconnect = true;

  constructor(repository: SocketRepository) {
    this.repository = repository;
    makeAutoObservable(this);
    this.init();
  }
  async init() {
    (await this.repository.connect()).fold(
      () => {
        this.socketHasDisconnect = false
      },
      () => {
        this.socketHasDisconnect = true
      }
    );
  }
  async reconnect() {
    await this.repository.connect();
    this.socketHasDisconnect = false;
  }
}

export const socketListerStore = new SocketListerStore(socketRepository);
